import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import ClientLayoutContent from '@/components/layout/ClientLayoutContent';

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "帷幄君成 - 数字员工平台",
  description: "智能物流解决方案",
  icons: {
    icon: '/logo.svg',
    apple: '/logo.svg',
  },
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="zh">
      <body className={inter.className}>
        <ClientLayoutContent>{children}</ClientLayoutContent>
      </body>
    </html>
  );
}
